> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a vehicle by ID

> **Scopes:** `vehicle:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/vehicles/{vehicle_id}
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/vehicles/{vehicle_id}:
    get:
      tags:
        - Vehicle
      summary: Get a vehicle by ID
      description: '**Scopes:** `vehicle:read`'
      operationId: get_vehicle_v0_business__business_id__vehicles__vehicle_id__get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            type: string
            format: biz_string
            title: Business Id
        - name: vehicle_id
          in: path
          required: true
          schema:
            type: string
            format: vhc_string
            title: Vehicle Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleSuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - vehicle:read
components:
  schemas:
    VehicleSuccess:
      properties:
        data:
          $ref: '#/components/schemas/VehiclePublic'
      type: object
      required:
        - data
      title: VehicleSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    VehiclePublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the Business that owns the vehicle
          examples:
            - biz_GA6EG2qFxA97NZHtxeLPUy
        external_id:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: External Id
          description: The external ID of the Vehicle
          examples:
            - '1234567890'
        description:
          type: string
          maxLength: 255
          title: Description
          description: A human-readable description of the vehicle
          examples:
            - 2019 Ford F-150
        make:
          anyOf:
            - type: string
            - type: 'null'
          title: Make
          description: The make of the vehicle
          examples:
            - Ford
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: The model of the vehicle
          examples:
            - F-150
        year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Year
          description: The model year of the vehicle
          examples:
            - 2019
        license_plate:
          anyOf:
            - type: string
            - type: 'null'
          title: License Plate
          description: The license plate of the vehicle
          examples:
            - ABC-1234
        vin:
          anyOf:
            - type: string
            - type: 'null'
          title: Vin
          description: The Vehicle Identification Number
          examples:
            - 1FTEW1EP5KFA12345
        is_active:
          type: boolean
          title: Is Active
          description: Whether the vehicle is active
          default: true
          examples:
            - true
        id:
          type: string
          format: vhc_string
          title: Id
          description: The id of the Vehicle
          examples:
            - vhc_GA6EG2qFxA97NZHtxeLPUy
      type: object
      required:
        - business_id
        - description
        - make
        - model
        - license_plate
        - vin
        - id
      title: VehiclePublic
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````